This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 203180 - Review Request: hnb - Hierarchical Notebook
Review Request: hnb - Hierarchical Notebook
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-18 15:44 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 17:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-08-18 15:44:25 EDT
Spec URL: http://rpm.greysector.net/extras/hnb.spec
SRPM URL: http://rpm.greysector.net/extras/hnb-1.9.18-1.src.rpm
Description:
Hierarchical notebook(hnb) is a curses program to structure many kinds
of data in one place, for example addresses, to-do lists, ideas, book
reviews or to store snippets of brainstorming. Writing structured
documents and speech outlines.

The default format is XML but hnb can also export to ASCII and HTML.
External programs may be used for more advanced conversions of the XML
data.
Comment 1 Jima 2006-08-18 16:32:07 EDT
Again, using my review checklist:
http://beer.tclug.org/fedora-extras/review-checklist.txt

1. No rpmlint output. Yay!
2. Package appears to meet Naming Guidelines.
3. Spec is named hnb.spec.
4. Package seems to meet the Packaging Guidelines, too.
5. Package licensed GPL...
6. ...as the spec claims.
7. COPYING in included in %doc.
8. Spec appears to be American English...not perfect (incomplete sentence in
%description), but English enough.
9. Spec is readable.
10. Tarball matches upstream.  Err, sort of; will elaborate below.
11. Package builds for i386 & ppc (the two supported archs I have).
12. n/a, AFAIK.
13. BuildReq's ncurses-devel, which seems valid enough.
14. n/a
15. n/a
16. n/a
17. n/a, doesn't create any directories (besides %doc, which it does own).
18. No duplicate %files entries.
19. %defattr looks good.
20. %clean looks good.
21. Macro use appears consistent.
22. Package contains only code, AFAICS.
23. Documentation is minimal.
24. %doc files don't appear to affect runtime.
25. No header/static libraries.
26. No .pc files.
27. No library files.
28. No -devel subpackage.
29. No .la files.
30. No GUI applications.
31. Doesn't own any directories besides %doc, which I doubt any other packages
own. :)
32. n/a, already has COPYING.
33. No translations available, that I immediately see.
34. Package builds in Plague.
35. I verified i386/ppc, submitter says he built it on x86_64.
36. Package runs, and certainly appears to work!
37. No scriptlets.
38. No subpackages.

As discussed on IRC, the submitted version (1.9.18) isn't listed in their
download section, only behind a link on their page leading to a directory
supposedly containing hnb-1.9.18pre3.  While (as you said, and I agree) the site
looks fairly abandonned, I'd appreciate if you'd attempt to contact the
authors to get them to make the release a teeny bit more official.  Also, keep
in mind that if the project *is* abandonned, you're probably responsible for
fixing any critical bugs with the package that might come up.

Anyways, since this submission meets the guidelines as far as I understand them,
I think we can call this APPROVED.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-08-18 17:24:45 EDT
Imported, added dist tag which we both missed, built successfully for devel,
requested FC-5 branch. Thanks for the speedy review!

Note You need to log in before you can comment on or make changes to this bug.